#include <allegro.h>
#include <aldumb.h>

DUH * tins_music = NULL;
AL_DUH_PLAYER * tins_music_player = NULL;

int stop_xm(void)
{
	if(tins_music && tins_music_player)
	{
		al_stop_duh(tins_music_player);
		unload_duh(tins_music);
		tins_music = NULL;
		tins_music_player = NULL;
		return 1;
	}
	return 0;
}

int play_xm(char * fn)
{
	if(tins_music && tins_music_player)
	{
		stop_xm();
	}
	tins_music = dumb_load_xm(fn);
	tins_music_player = al_start_duh(tins_music, 2, 0, 1.0, 4096, 22050);
	if(!tins_music || !tins_music_player)
	{
		return 0;
	}
	return 1;
}

int update_xm(void)
{
	if(tins_music && tins_music_player)
	{
		return al_poll_duh(tins_music_player);
	}
	return 0;
}
