#include <allegro.h>

volatile int ticker = 0;

void ticker_proc(void)
{
	ticker++;
}
END_OF_FUNCTION(ticker_proc)

int install_ticker(int frequency)
{
	LOCK_VARIABLE(ticker);
	LOCK_FUNCTION(ticker_proc);
	if(install_int_ex(ticker_proc, BPS_TO_TIMER(frequency)))
	{
		return 0;
	}
	return 1;
}

void reset_ticker(void)
{
	ticker = 0;
}
